/*  Botik::Key Pro - Botik Key Client for Windows 9x/ME/NT/2000/XP/2003
 *  Copyright (C) 2004 Alexander V. Melnikoff
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __LOGVIEWER_H__
#define __LOGVIEWER_H__

#define ABKLV_TB_IMAGE_SIZE_X		24
#define ABKLV_TB_IMAGE_SIZE_Y		24

extern HWND			g_hwndLogViewer;

extern DWORD		g_dwWinCxLV;
extern DWORD		g_dwWinCyLV;
extern BOOL			g_fIsMaximized;
extern BOOL			g_fStatusbar;
extern BOOL			g_fToolbar;
extern BOOL			g_fAutoscroll;
extern DWORD		g_dwFirstColWidth;
extern DWORD		g_dwSecondColWidth;
extern DWORD		g_dwMaxEventsShow;
extern BOOL			g_fPlaySound;

HWND CreateLogViewerWnd(HWND hPrnWnd_);
BOOL RegisterLogViewerWndCls();
VOID ShowLogViewerWindow();

VOID AddListViewLineLV(DWORD dwType_, LPSYSTEMTIME lpst_, LPTSTR szText_);
VOID AddListViewLineLV(DWORD dwType_, LPTSTR szTime_, LPTSTR szText_);

#define ABK_LOGVIEWER_TITLE		_T("Botik::Key Pro -  ...")

#define ABK_ERROR_BGCOLOR		RGB(255, 200, 200)
#define ABK_INFORM_BGCOLOR		RGB(200, 200, 255)
#define ABK_OK_BGCOLOR			RGB(200, 255, 200)
#define ABK_MSG_BGCOLOR			RGB(255, 255, 200)
#define ABK_NORMAL_FGCOLOR		RGB(0, 0, 0)
#define ABK_SELECTED_BGCOLOR	RGB(100, 100, 100)
#define ABK_SELECTED_FGCOLOR	RGB(255, 255, 255)

#endif // __LOGVIEWER_H__


