/*  Botik::Key Pro - Botik Key Client for Windows 9x/ME/NT/2000/XP/2003
 *  Copyright (C) 2004 Alexander V. Melnikoff
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* stdafx.h : include file for standard system include files,
 * or project specific include files that are used frequently, but
 * are changed infrequently
 */

#pragma once

#include "config.h"

#define _WIN32_WINNT 0x501
#define _WIN32_IE    0x0600

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers

// Windows Header Files:
#include <windows.h>
#include <windowsx.h>
#include <stdarg.h>
#include <shellapi.h>
#include <commctrl.h>
#include <commdlg.h>
#include <htmlhelp.h>
#include <wininet.h>

// C RunTime Header Files
#include <stdlib.h>
#include <malloc.h>
#include <memory.h>
#include <tchar.h>
#include <stdio.h>

#define cfDPRINTF_APP_NAME				_T("BKP:MNGR")

// Project Header Files
#include "botikkeypro.h"
#include "cmnfuncs.h"
#include "manager.h"
#include "notify_icon.h"
#include "md5/md5.h"


typedef HRESULT (WINAPI *PETDT)(HWND, DWORD);
extern PETDT       pEnableThemeDialogTexture;